## ros-humble-swri-roscpp 3.7.3

=== debian/changelog ===
ros-humble-swri-roscpp (3.7.3-3bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 17 Sep 2024 16:00:00 -0000

ros-humble-swri-roscpp (3.7.2-3bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 15 Sep 2024 16:00:00 -0000

ros-humble-swri-roscpp (3.7.1-3bookworm) bookworm; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 05 Sep 2024 16:00:00 -0000

ros-humble-swri-roscpp (3.7.0-3bookworm) bookworm; urgency=high

  * Simplify Cmake by linking to the library target (#742 <https://github.com/swri-robotics/marti_common/issues/742>)
    By linking to the library target, we can reuse the include paths and libraries from it. This will
    simplify the Cmake a bit.
    It also fixes a bug when linking to the ros2-jazzy branch of diagnostic_updater.
  * Sanity checking time before performing duration calculation (#735 <https://github.com/swri-robotics/marti_common/issues/735>)
  * Add definitions for subscribers with unique_ptr callback arguments (#731 <https://github.com/swri-robotics/marti_common/issues/731>)
  * Cleaning up package maintainer (#721 <https://github.com/swri-robotics/marti_common/issues/721>)
  * Contributors: David Anthony, Ramon Wijnands, Veronica Knisley

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 05 Sep 2024 16:00:00 -0000

ros-humble-swri-roscpp (3.6.1-3bookworm) bookworm; urgency=high

  * Fixing Buildfarm Issues (#716 <https://github.com/swri-robotics/marti_common/issues/716>)
    * Cleaning up code to fix build farm errors
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-swri-roscpp (3.6.0-3bookworm) bookworm; urgency=high

  * Rolling updates (#715 <https://github.com/swri-robotics/marti_common/issues/715>)
    - Updating code for Rolling.
    - Removing conditional compilation code related to EOL distributions.
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-swri-roscpp (3.5.4-3bookworm) bookworm; urgency=high

  * Add publisher and subscription options to constructors (#714 <https://github.com/swri-robotics/marti_common/issues/714>)
  * Use System QoS Settings as Defaults (#713 <https://github.com/swri-robotics/marti_common/issues/713>)
  * Adding wrapper for unique_ptr arguments (#712 <https://github.com/swri-robotics/marti_common/issues/712>)
  * Contributors: David Anthony, Veronica Knisley

 -- P. J. Reed <preed@swri.org>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-swri-roscpp (3.5.3-3bookworm) bookworm; urgency=high

  * Fixing build warnings (#707 <https://github.com/swri-robotics/marti_common/issues/707>)
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-humble-swri-roscpp (3.5.2-3bookworm) bookworm; urgency=high

  * Fix dependencies (#704 <https://github.com/danthony06/marti_common/issues/704>)
    * Fixing build process so dependencies are correctly exported.
  * Contributors: David Anthony

 -- P. J. Reed <preed@swri.org>  Mon, 29 May 2023 16:00:00 -0000

ros-humble-swri-roscpp (3.5.1-3bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 28 Nov 2022 16:00:00 -0000

ros-humble-swri-roscpp (3.5.0-3bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 10 Oct 2022 16:00:00 -0000

ros-humble-swri-roscpp (3.4.2-3bookworm) bookworm; urgency=high

  * Add Humble Support (#691 <https://github.com/swri-robotics/marti_common/issues/691>)
    * Adding Humble support based on @shrijitsingh99 PR in https://github.com/swri-robotics/marti_common/pull/685
  * Contributors: David Anthony, Shrijit Singh

 -- P. J. Reed <preed@swri.org>  Sun, 09 Oct 2022 16:00:00 -0000

ros-humble-swri-roscpp (3.3.2-3bookworm) bookworm; urgency=high

  * Fix topic services under ros2 (#604 <https://github.com/swri-robotics/marti_common/issues/604>)
  * Fix bugs related to subscription age and setting timeout (#609 <https://github.com/swri-robotics/marti_common/issues/609>, #611 <https://github.com/swri-robotics/marti_common/issues/611>) (#612 <https://github.com/swri-robotics/marti_common/issues/612>)
  * Contributors: David Anthony, mschickler

 -- P. J. Reed <preed@swri.org>  Mon, 23 Nov 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.3.1-3bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.3.0-3bookworm) bookworm; urgency=high

  * Implement topic services in ROS 2 (#2893 <https://github.com/swri-robotics/marti_common/issues/2893>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Tue, 14 Jul 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.2.1-3bookworm) bookworm; urgency=high

  * ROS Foxy support (#582 <https://github.com/swri-robotics/marti_common/issues/582>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Jun 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.2.0-3bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 12 May 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.1.0-3bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 29 Mar 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.0.5-3bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 09 Mar 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.0.4-3bookworm) bookworm; urgency=high

  * ROS 2 Eloquent compatibility (#568 <https://github.com/swri-robotics/marti_common/issues/568>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 04 Mar 2020 16:00:00 -0000

ros-humble-swri-roscpp (3.0.3-3bookworm) bookworm; urgency=high

  * Replace deprecated functions in swri_roscpp
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-humble-swri-roscpp (3.0.2-3bookworm) bookworm; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 10 Nov 2019 16:00:00 -0000


