=== debian/control ===
Source: ros-humble-swri-roscpp
Section: misc
Priority: optional
Maintainer: Southwest Research Institute <swri-robotics@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-diagnostic-updater, ros-humble-marti-common-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-ros-environment, ros-humble-rosidl-cmake, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-humble-diagnostic-updater, ros-humble-marti-common-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: A package that extends rclcpp with some commonly used functionality to reduce boilerplate code.
